Skip to main content
GET
/
api
/
v1
/
plugins
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "attributes": {
        "checksum": "<string>",
        "command": "<string>",
        "config": {},
        "created_at": "<string>",
        "description": "<string>",
        "hook_type": "<string>",
        "is_active": true,
        "manifest": {},
        "name": "<string>",
        "namespace": "<string>",
        "oci_reference": "<string>",
        "plugin_type": "<string>",
        "updated_at": "<string>"
      },
      "id": "<string>",
      "relationships": {
        "llms": {
          "data": [
            {
              "attributes": {
                "active": true,
                "name": "<string>",
                "vendor": "<string>"
              },
              "id": "<string>",
              "type": "<string>"
            }
          ]
        }
      },
      "type": "<string>"
    }
  ],
  "meta": {
    "page_number": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

hook_type
string

Filter by hook type (pre_auth, auth, post_auth, on_response, data_collection)

is_active
boolean

Filter by active status

namespace
string

Filter by namespace

page
integer
default:1

Page number

limit
integer
default:20

Items per page

Response

OK

data
object[]
meta
object